Imports Microsoft.VisualBasic
#Region "Copyright Syncfusion Inc. 2001 - 2014"
' Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
' Use of this code is subject to the terms of our license.
' A copy of the current license can be obtained at any time by e-mailing
' licensing@syncfusion.com. Any infringement will be prosecuted under
' applicable laws. 
#End Region
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Grid
Imports System.IO
Imports System.Collections.Specialized

Namespace TooltipDemo_2005
	Partial Public Class Form1
		Inherits Form
		Private ds As DataSet
		Public Sub New()
			InitializeComponent()
			'try
			'{
			'    System.Drawing.Icon ico = new System.Drawing.Icon(GetIconFile(@"common\Images\Grid\Icon\sfgrid1.ico"));
			'    this.Icon = ico;
			'}
			'catch { }

			Me.gridDataBoundGrid1.DefaultRowHeight = 18
			Me.gridDataBoundGrid1.DefaultColWidth = 70
			ds = New DataSet()
			ReadXml(ds, "..\..\GDBDdata.XML")
			Me.gridDataBoundGrid1.DataSource = ds.Tables("Products")
			Me.gridDataBoundGrid1.Model.ColWidths.ResizeToFit(GridRangeInfo.Row(0), GridResizeToFitOptions.NoShrinkSize)
			Me.gridDataBoundGrid1.Model.EnableLegacyStyle = False
			Me.gridDataBoundGrid1.ColorStyles = Syncfusion.Windows.Forms.ColorStyles.Office2010Blue
			Me.StartPosition = FormStartPosition.CenterScreen

			Dim choiceList As New StringCollection()
			choiceList.Add("Item1")
			choiceList.Add("Item2")
			Me.gridDataBoundGrid1.Model.ColStyles(1).CellType = GridCellTypeName.ComboBox
			Me.gridDataBoundGrid1.Model.ColStyles(1).ChoiceList = choiceList
			AddHandler gridDataBoundGrid1.CurrentCellKeyPress, AddressOf gridDataBoundGrid1_CurrentCellKeyPress
			AddHandler gridDataBoundGrid1.CurrentCellShowingDropDown, AddressOf gridDataBoundGrid1_CurrentCellShowingDropDown
		End Sub

		Private Sub gridDataBoundGrid1_CurrentCellShowingDropDown(ByVal sender As Object, ByVal e As GridCurrentCellShowingDropDownEventArgs)
			If TypeOf Me.gridDataBoundGrid1.CurrentCell.Renderer Is GridDropDownGridListControlCellRenderer Then
				Dim renderer As GridDropDownGridListControlCellRenderer = TryCast(Me.gridDataBoundGrid1.CurrentCell.Renderer, GridDropDownGridListControlCellRenderer)
				'renderer.ListControlPart.Grid.DefaultColWidth = 100; //To Set all column widths as default
				renderer.ListControlPart.Grid.ColWidths(1) = 200 'To set particular column width
			End If
		End Sub
		Private Sub gridDataBoundGrid1_CurrentCellKeyPress(ByVal sender As Object, ByVal e As KeyPressEventArgs)
			If TypeOf Me.gridDataBoundGrid1.CurrentCell.Renderer Is GridDropDownGridListControlCellRenderer Then
				e.Handled = True
			End If
		End Sub
		Private Sub ReadXml(ByVal ds As DataSet, ByVal xmlFileName As String)
			For n As Integer = 0 To 9
				If System.IO.File.Exists(xmlFileName) Then
					ds.ReadXml(xmlFileName)
					Exit For
				End If
				xmlFileName = "..\" & xmlFileName
			Next n
		End Sub

		Private Function GetIconFile(ByVal bitmapName As String) As String
			For n As Integer = 0 To 9
				If System.IO.File.Exists(bitmapName) Then
					Return bitmapName
				End If

				bitmapName = "..\" & bitmapName
			Next n

			Return bitmapName
		End Function
	End Class
End Namespace